Skip to main content
PATCH
/
pipeline
/
classifier
/
analysis
/
{analysis_id}
Update analysis options
curl --request PATCH \
  --url https://api.mezmo.com/v3/pipeline/classifier/analysis/{analysis_id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '{}'

Documentation Index

Fetch the complete documentation index at: https://mezmo-9a59581a-mintlify-926f893d.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your token in the format: Token mytokengoeshere

Path Parameters

analysis_id
string<uuid>
required

The id of the classifier analysis to update

Query Parameters

restart_analysis
boolean
default:false

Reset the current event count so that classification can begin when 'status' is set to "in_progress".

reset_profile
boolean
default:false

Reset the profiling data associated with this analysis.

create_new_classifier_analysis
boolean
default:false

Create a new classifier analysis record to replace the current record. Must be used in conjunction with a "complete" status

Body

application/json
status
enum<string>
required

The new status of the classifier analysis

Available options:
in_progress,
complete

Response

200

Default Response